curl --request GET \
--url https://api.dashboard.knotapi.com/webhook-endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dashboard.knotapi.com/webhook-endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dashboard.knotapi.com/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dashboard.knotapi.com/webhook-endpoints/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dashboard.knotapi.com/webhook-endpoints/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dashboard.knotapi.com/webhook-endpoints/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dashboard.knotapi.com/webhook-endpoints/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "0a8f5c6e-3d2b-4e1a-9f7c-8b6d5e4c3a21",
"url": "https://example.com/webhooks/knot",
"description": "Primary webhook listener",
"environment": "development",
"created_at": "2026-10-01T14:32:08Z"
}Get Webhook Endpoint By ID
Get a specific webhook endpoint by ID.
curl --request GET \
--url https://api.dashboard.knotapi.com/webhook-endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dashboard.knotapi.com/webhook-endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dashboard.knotapi.com/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dashboard.knotapi.com/webhook-endpoints/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dashboard.knotapi.com/webhook-endpoints/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dashboard.knotapi.com/webhook-endpoints/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dashboard.knotapi.com/webhook-endpoints/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "0a8f5c6e-3d2b-4e1a-9f7c-8b6d5e4c3a21",
"url": "https://example.com/webhooks/knot",
"description": "Primary webhook listener",
"environment": "development",
"created_at": "2026-10-01T14:32:08Z"
}Authorizations
Short-lived access token from the device authorization flow. Expires after 15 minutes. Manages only the environment of the client ID it was issued for.
Path Parameters
Unique identifier for the webhook endpoint.
"0a8f5c6e-3d2b-4e1a-9f7c-8b6d5e4c3a21"
Query Parameters
The environment the webhook endpoint belongs to. Must match your access token's environment.
development, production "development"
Response
Successful request.
Unique identifier for the webhook endpoint.
"0a8f5c6e-3d2b-4e1a-9f7c-8b6d5e4c3a21"
The URL Knot sends webhooks to.
"https://example.com/webhooks/knot"
A description of the webhook endpoint, or null if none.
"Primary webhook listener"
The environment the webhook endpoint belongs to.
development, production "development"
When the webhook endpoint was created, in ISO 8601 format.
"2026-10-01T14:32:08Z"
Was this page helpful?